
CoCoALib - Feature #630

Add graeffe function?

25 Sep 2014 16:10 - John Abbott

Status: Closed Start date: 25 Sep 2014

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 15.15 hours

Target version: CoCoALib-0.99560 Spent time: 15.25 hours

Description

Add a new fn graeffe which transforms a polynomial into one whose roots are the squares of the root of the original polynomial.

What should it do with multivariate polynomials?

History

#1 - 13 Oct 2014 20:47 - John Abbott

If I recall correctly, Bini said that graeffe can also be done for polynomial systems.  Right now I cannot see when it might be useful, and I'm not even

sure I understand what it really is.

#2 - 17 Oct 2017 15:47 - John Abbott

- Status changed from New to Feedback

- Assignee set to John Abbott

- % Done changed from 0 to 90

Added code; doc; example.

Also made accessible to CoCoA-5.

#3 - 20 Dec 2017 15:51 - John Abbott

- Status changed from Feedback to Closed

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99560

- % Done changed from 90 to 100

- Estimated time set to 15.15 h
